curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=AUS" \
-F "services=aus_electoral_roll" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="AUS",
services=["aus_electoral_roll"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "AUS",
services: ["aus_electoral_roll"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "AUS",
Services: didit.Some([]string{"aus_electoral_roll"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("AUS")
.services(List.of("aus_electoral_roll"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'AUS',
'services' => ['aus_electoral_roll'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "AUS",
services: ["aus_electoral_roll"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "AUS",
Services = new string[] { "aus_electoral_roll" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "AUS",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "aus_electoral_roll",
"service_name": "Australia Electoral Roll",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value"
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "AUS",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "aus_electoral_roll",
"service_name": "Australia Electoral Roll",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value"
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "AUS",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "aus_electoral_roll",
"service_name": "Australia Electoral Roll",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
🇦🇺 ऑस्ट्रेलिया
ऑस्ट्रेलिया डेटाबेस सत्यापन API: मतदाता सूची ID मिलान
Didit के साथ ऑस्ट्रेलिया मतदाता सूची के आधिकारिक डेटाबेस से पहचान सत्यापित करें। प्रति कॉल $0.75 से, कोई अनुबंध या न्यूनतम शर्त नहीं।
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=AUS" \
-F "services=aus_electoral_roll" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="AUS",
services=["aus_electoral_roll"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "AUS",
services: ["aus_electoral_roll"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "AUS",
Services: didit.Some([]string{"aus_electoral_roll"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("AUS")
.services(List.of("aus_electoral_roll"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'AUS',
'services' => ['aus_electoral_roll'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "AUS",
services: ["aus_electoral_roll"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "AUS",
Services = new string[] { "aus_electoral_roll" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "AUS",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "aus_electoral_roll",
"service_name": "Australia Electoral Roll",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value"
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "AUS",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "aus_electoral_roll",
"service_name": "Australia Electoral Roll",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value"
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "AUS",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "aus_electoral_roll",
"service_name": "Australia Electoral Roll",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
यह आधिकारिक सरकारी इलेक्टोरल रोल सेवा है। Didit इस सेवा को
POST /v3/database-validation/ के माध्यम से उपलब्ध कराता है, ताकि आप सबमिट किए गए डेटा की प्रामाणिक स्रोत से तुलना कर सकें और सामान्यीकृत मिलान परिणाम प्राप्त कर सकें।
कवरेज
- कवरेज: 100%*
- देश: ऑस्ट्रेलिया
- सेवा ID:
aus_electoral_roll - डेटा डोमेन: सरकारी
- श्रेणी: ElectoralRoll
इनपुट
| फ़ील्ड | आवश्यक | उदाहरण |
|---|---|---|
first_name | हाँ | John |
last_name | हाँ | Doe |
date_of_birth | हाँ | 1990-01-01 |
address.street_1 | हाँ | 123 Sample Street |
address.postal_code | हाँ | 10001 |
address.street_2 | नहीं | Unit 4 |
address.city | नहीं | Sample City |
address.region | नहीं | Sample State |
vendor_data | नहीं | user-1234 |
- आवश्यक इनपुट:
first_name,last_name,date_of_birth,address.street_1,address.postal_code - वैकल्पिक इनपुट:
address.street_2,address.city,address.region,vendor_data - सहमति: आवश्यक
- वर्कफ़्लो उपलब्धता: वर्कफ़्लो में उपलब्ध
- कवरेज: 100%*
- कीमत: $0.75 प्रति सफल क्वेरी
बॉडी पैरामीटर
string
डिफ़ॉल्ट:"AUS"
आवश्यक
इस डेटाबेस सेवा के लिए ISO 3166-1 alpha-3 देश कोड।उदाहरण:
AUSstring
डिफ़ॉल्ट:"aus_electoral_roll"
आवश्यक
इस सेवा ID को शामिल करने वाला एरे। सेवा को पिन करने से अनुरोध इसी सटीक डेटाबेस तक सीमित रहता है।उदाहरण:
aus_electoral_rollboolean
डिफ़ॉल्ट:"true"
आवश्यक
इस सेवा के लिए अंतिम उपयोगकर्ता की स्पष्ट सहमति।उदाहरण:
truestring
डिफ़ॉल्ट:"John"
आवश्यक
सत्यापित किया जाने वाला पहला नाम।उदाहरण:
Johnstring
डिफ़ॉल्ट:"Doe"
आवश्यक
सत्यापित किया जाने वाला उपनाम।उदाहरण:
Doestring
डिफ़ॉल्ट:"1990-01-01"
आवश्यक
YYYY-MM-DD प्रारूप में जन्म तिथि।उदाहरण: 1990-01-01object
आवश्यक
संरचित आवासीय पता ऑब्जेक्ट।
street_1, street_2, city, region, postal_code और country का उपयोग करें। पूरा पुराना पता स्ट्रिंग अभी भी स्वीकार किया जाता है, लेकिन इसकी अनुशंसा नहीं की जाती।उदाहरण: {"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
डिफ़ॉल्ट:"user-1234"
इस व्यक्ति के लिए आपका स्थिर उपयोगकर्ता संदर्भ, जैसे आपकी आंतरिक उपयोगकर्ता ID। Didit इसका उपयोग स्टैंडअलोन जाँच को उसी अंतिम उपयोगकर्ता से जोड़ने और डुप्लिकेट पहचान से संबंधित अनावश्यक शोर कम करने के लिए करता है।उदाहरण:
user-1234इनपुट नियम और सत्यापन नोट्स
- पता सेवाओं के लिए, जब संभव हो, एकल
addressस्ट्रिंग के बजाय संरचित पता फ़ील्ड भेजें। address.street_1गली का पता है, जिसमें भवन संख्या और सड़क का प्रकार शामिल है।address.street_2अपार्टमेंट, यूनिट, भवन, मंज़िल या कोई अतिरिक्त पता पंक्ति है। इसे केवल तभी भेजें जब वह आपके पास हो।address.cityशहर, उपनगर, ज़िला, इलाका या मोहल्ला है।address.regionराज्य, प्रांत, क्षेत्र या कस्बा है।address.postal_codeपिनकोड या डाक कोड है।- पता-आधारित डेटाबेस सेवाओं के लिए कम से कम गली का पता और पोस्टल कोड आवश्यक है। स्रोत खोज से पहले अस्वीकार किए गए अनुरोधों पर शुल्क नहीं लगता।
इसे कैसे कॉल करें
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=AUS" \
-F "services=aus_electoral_roll" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="AUS",
services=["aus_electoral_roll"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "AUS",
services: ["aus_electoral_roll"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "AUS",
Services: didit.Some([]string{"aus_electoral_roll"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("AUS")
.services(List.of("aus_electoral_roll"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'AUS',
'services' => ['aus_electoral_roll'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "AUS",
services: ["aus_electoral_roll"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "AUS",
Services = new string[] { "aus_electoral_roll" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
हर सफल कॉल HTTP 200 लौटाती है। outcome_code फ़ील्ड बताता है कि वास्तव में क्या हुआ। उदाहरण के लिए, यह वास्तविक बायोमेट्रिक मिसमैच (BIOMETRIC_NO_MATCH) और ऐसी सेल्फ़ी के बीच अंतर करता है जिसे पढ़ा नहीं जा सका (BIOMETRIC_IMAGE_UNUSABLE)। दिखाया गया status डिफ़ॉल्ट सुविधा स्थिति है, और आपकी कॉन्फ़िगर की गई आंशिक मिलान / कोई मिलान नहीं कार्रवाइयाँ इसे बदल सकती हैं।MATCH: रजिस्ट्री ने पहचान की पुष्टि की और जाँचे गए हर फ़ील्ड का मिलान हुआ।{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "AUS",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "aus_electoral_roll",
"service_name": "Australia Electoral Roll",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value"
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
PARTIAL_MATCH: इस सेवा द्वारा तुलना किए गए एक या अधिक फ़ील्ड पूरी तरह मेल नहीं खाए। इस उदाहरण में full_name मेल नहीं खाया, जबकि address और date_of_birth मेल खाए।{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "AUS",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "aus_electoral_roll",
"service_name": "Australia Electoral Roll",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value"
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
NO_MATCH: रजिस्ट्री ने सबमिट किए गए डेटा के लिए कोई मिलान नहीं लौटाया।{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "AUS",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "aus_electoral_roll",
"service_name": "Australia Electoral Roll",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
लौटाया गया डेटा
source_data में दिखाए जाने वाले सटीक फ़ील्ड इस बात पर निर्भर करते हैं कि रजिस्ट्री क्या लौटाती है। aus_electoral_roll के लिए बनाया गया उदाहरण फ़िलहाल इस सामान्यीकृत संरचना का दस्तावेज़ीकरण करता है:
addressaddress_match_scorecitydate_of_birthfirst_namefull_namelast_namename_match_scorepostal_codestatestreet
मूल्य निर्धारण और SLA
Australia Electoral Roll क्वेरी का शुल्क केवल तभी लिया जाता है जब Didit को सत्यापन स्रोत से निर्णायक परिणाम मिलता है।- प्रति कॉल कीमत: $0.75 USD।
- बिलिंग: प्रति सफल क्वेरी। जब रजिस्ट्री पहुँच से बाहर हो, ज़रूरी फ़ील्ड गायब हों, या अनुरोध स्रोत तक पहुँचने से पहले अस्वीकार हो जाए, तब आपसे शुल्क नहीं लिया जाता।
- विलंबता: सामान्य p95 2 s से कम।
- उपलब्धता: Didit की ओर से प्रति तिमाही 99.9%; डाउनस्ट्रीम स्रोत की उपलब्धता देश और डेटासेट के अनुसार अलग-अलग होती है।
आगे पढ़ें
अंतिम संशोधन 7 नवंबर 2026